using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 手动添加的记录
    /// </summary>
    [SugarTable("YB_nResultAdd", TableDescription = "手动添加的记录", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public  class YB_nResultAdd
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 身高，单位厘米
        /// </summary>
        [SugarColumn(ColumnDescription = "身高，单位厘米", ColumnDataType = "decimal(18,2)")]
        public decimal Height { get; set; }
        /// <summary>
        /// 体重,单位kg
        /// </summary>
        [SugarColumn(ColumnDescription = "体重,单位kg", ColumnDataType = "decimal(18,2)")]
        public decimal Weight { get; set; }
        /// <summary>
        /// 头围,单位cm
        /// </summary>
        [SugarColumn(ColumnDescription = "头围,单位cm", ColumnDataType = "decimal(18,2)",IsNullable =true)]
        public decimal Head { get; set; }

        /// <summary>
        /// 家庭成员ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成员ID")]
        public int FamilyId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID")]
        public int UserId { get; set; }

        /// <summary>
        /// 测量时间
        /// </summary>
        [SugarColumn(ColumnDescription = "测量时间")]
        public DateTime ResultTime { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
